## mafft 6.240

=== src/Makefile ===
PREFIX = /usr/local/lib/mafft
#CC = gcc  -O0  -g -pg 
CC = gcc -O3
#CC = gcc    -mno-cygwin -O3 # for cygwin
#CC = icc -fast              # for icc on Intel
#CC = icc -O3 -ipo -static   # for icc on AMD
#CC = gcc -fast
#CC = gcc  -g -O0 -pg 
LIBS = -lm 

INSTALL = install

PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairalign pairlocalalign \
		pair2hat3s multi2hat3s \
        splittbfast disttbfast tbfast mafft-profile f2cl countlen \
		score getlag dndpre dndpre2 setcore
SCRIPTS = mafft mafft-homologs.rb
OBJCOUNTLEN = mtxutl.o io.o countlen.o defs.o
OBJF2CL = mtxutl.o io.o f2cl.o constants.o defs.o
OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				 multi2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				pair2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o VAAalign11.o genalign11.o Lalign11.o SAalignmm.o \
					Calignm1.o pairlocalalign.o defs.o fft.o fftFunctions.o
OBJPAIRALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		            Galign11.o Falign.o Falign_localhom.o Salign11.o SAalignmm.o Calignm1.o \
			        MSalignmm.o pairalign.o defs.o fft.o fftFunctions.o
OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o defs.o fft.o fftFunctions.o
OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			disttbfast.o defs.o fft.o fftFunctions.o
OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
			tbfast.o defs.o fft.o fftFunctions.o
OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
			tbfast2.o defs.o fft.o fftFunctions.o
OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			setcore.o defs.o fft.o fftFunctions.o
OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		   Calignm1.o Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o \
		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
			Calignm1.o Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o \
			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			getlag.o defs.o fft.o fftFunctions.o
OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDBLAST = dndblast.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST7 = dndfast7.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST4 = dndfast4.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJSEXTET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o sextet5.o defs.o
OBJDISTANCE = io.o constants.o mtxutl.o mltaln9.o tddis.o mafft-distance.o defs.o
OBJTRIPLET6 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet6.o defs.o
OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
          Calignm1.o SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o

HEADER = mltaln.h mtxutl.h
DPHEADER = dp.h
FFTHEADER = fft.h


#CFLAG =  -Wunused -Wreturn-type -Wshadow -pg -pedantic
#CFLAG =   -ansi -pedantic

all : $(PROGS) $(SCRIPTS)
	cp $(SCRIPTS) ../scripts
	chmod 755 ../scripts/*
	cp $(PROGS) ../binaries
	chmod 755 ../binaries/*
	@echo done.

univscript: univscript.tmpl Makefile
	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript

mafft: mafft.tmpl
	sed "s:_PREFIX:$(PREFIX):" mafft.tmpl  > mafft

mafft-homologs.rb: mafft-homologs.tmpl
	cp mafft-homologs.tmpl mafft-homologs.rb

mltaln.h : functions.h
	touch mltaln.h

ord : $(OBJORD)
	$(CC) -o $@ $(OBJORD) $(CFLAG) $(LIBS)

tbfast : $(OBJTBFAST)
	$(CC) -o $@ $(OBJTBFAST) $(CFLAG) $(LIBS)

tbfast2 : $(OBJTBFAST2)
	$(CC) -o $@ $(OBJTBFAST2) $(CFLAG) $(LIBS)

disttbfast : $(OBJDISTTBFAST)
	$(CC) -o $@ $(OBJDISTTBFAST) $(CFLAG) $(LIBS)

splittbfast : $(OBJSPLITTBFAST)
	$(CC) -o $@ $(OBJSPLITTBFAST) $(CFLAG) $(LIBS)

splitfromaln : $(OBJSPLITFROMALN)
	$(CC) -o $@ $(OBJSPLITFROMALN) $(CFLAG) $(LIBS)

splittbfast2 : $(OBJSPLITTBFAST2)
	$(CC) -o $@ $(OBJSPLITTBFAST2) $(CFLAG) $(LIBS)

dummy : $(OBJDUMMY)
	$(CC) -o $@ $(OBJDUMMY) $(CFLAG) $(LIBS)

setcore : $(OBJSETCORE)
	$(CC) -o $@ $(OBJSETCORE) $(CFLAG) $(LIBS)

countlen : $(OBJCOUNTLEN)
	$(CC) -o $@ $(OBJCOUNTLEN) $(CFLAG) $(LIBS)

f2cl : $(OBJF2CL)
	$(CC) -o $@ $(OBJF2CL) $(CFLAG) $(LIBS)

pairlocalalign : $(OBJPAIRLOCALALIGN)
	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(CFLAG) $(LIBS)

pair2hat3s : $(OBJPAIR2HAT3S)
	$(CC) -o $@ $(OBJPAIR2HAT3S) $(CFLAG) $(LIBS)

multi2hat3s : $(OBJMULTI2HAT3S)
	$(CC) -o $@ $(OBJMULTI2HAT3S) $(CFLAG) $(LIBS)

pairalign : $(OBJPAIRALIGN)
	$(CC) -o $@ $(OBJPAIRALIGN) $(CFLAG) $(LIBS)

getlag : $(OBJGETLAG)
	$(CC) -o $@ $(OBJGETLAG) $(CFLAG) $(LIBS)

tditr : $(OBJTDITR)
	$(CC) -o $@ $(OBJTDITR) $(CFLAG) $(LIBS)

dvtditr : $(OBJDVTDITR)
	$(CC) -o $@ $(OBJDVTDITR) $(CFLAG) $(LIBS)

mafft-profile : $(OBJGALN)
	$(CC) -o $@ $(OBJGALN) $(CFLAG) $(LIBS)

gapfill : $(OBJGAPFILL)
	$(CC) -o $@ $(OBJGAPFILL) $(CFLAG) $(LIBS)

dndfast4 : $(OBJDNDFAST4)
	$(CC) -o $@ $(OBJDNDFAST4) $(CFLAG) $(LIBS)

dndfast5 : $(OBJDNDFAST5)
	$(CC) -o $@ $(OBJDNDFAST5) $(CFLAG) $(LIBS)

dndfast6 : $(OBJDNDFAST6)
	$(CC) -o $@ $(OBJDNDFAST6) $(CFLAG) $(LIBS)

dndfast7 : $(OBJDNDFAST7)
	$(CC) -o $@ $(OBJDNDFAST7) $(CFLAG) $(LIBS)

dndblast : $(OBJDNDBLAST)
	$(CC) -o $@ $(OBJDNDBLAST) $(CFLAG) $(LIBS)

dndfast3 : $(OBJDNDFAST3)
	$(CC) -o $@ $(OBJDNDFAST3) $(CFLAG) $(LIBS)

triplet : $(OBJTRIPLET)
	$(CC) -o $@ $(OBJTRIPLET) $(CFLAG) $(LIBS)

triplet3 : $(OBJTRIPLET3)
	$(CC) -o $@ $(OBJTRIPLET3) $(CFLAG) $(LIBS)

sextet3 : $(OBJSEXTET3)
	$(CC) -o $@ $(OBJSEXTET3) $(CFLAG) $(LIBS)

sextet4 : $(OBJSEXTET4)
	$(CC) -o $@ $(OBJSEXTET4) $(CFLAG) $(LIBS)

sextet5 : $(OBJSEXTET5)
	$(CC) -o $@ $(OBJSEXTET5) $(CFLAG) $(LIBS)

mafft-distance : $(OBJDISTANCE)
	$(CC) -o $@ $(OBJDISTANCE) $(CFLAG) $(LIBS)

triplet5 : $(OBJTRIPLET5)
	$(CC) -o $@ $(OBJTRIPLET5) $(CFLAG) $(LIBS)

triplet6 : $(OBJTRIPLET6)
	$(CC) -o $@ $(OBJTRIPLET6) $(CFLAG) $(LIBS)

octet4 : $(OBJOCTET4)
	$(CC) -o $@ $(OBJOCTET4) $(CFLAG) $(LIBS)

dndpre : $(OBJDNDPRE)
	$(CC) -o $@ $(OBJDNDPRE) $(CFLAG) $(LIBS)

dndpre2 : $(OBJDNDPRESCORE)
	$(CC) -o $@ $(OBJDNDPRESCORE) $(CFLAG) $(LIBS)

score : $(OBJSCORE)
	$(CC) -o $@ $(OBJSCORE) $(CFLAG) $(LIBS)

genMtx : $(OBJGENMTX)
	$(CC) -o $@ $(OBJGENMTX) $(CFLAG) $(LIBS)

gapfill.o : gapfill.c $(HEADER)
	$(CC) $(CFLAG) -c gapfill.c

mltaln9.o : mltaln9.c $(HEADER)
	$(CC) $(CFLAG) -c mltaln9.c

tddis.o : tddis.c $(HEADER)
	$(CC) $(CFLAG) -c tddis.c

constants.o : constants.c miyata.h miyata5.h blosum.c DNA.h JTT.c $(HEADER)
	$(CC) $(CFLAG) -c constants.c

defs.o : defs.c 
	$(CC) $(CFLAG) -c defs.c

Calignm1.o : Calignm1.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Calignm1.c

#A+++alignmm.o : SA+++alignmm.c $(HEADER) $(DPHEADER)
#	$(CC) $(CFLAG) -c SA+++alignmm.c -o A+++alignmm.o

Salignmm.o : Salignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Salignmm.c 

Halignmm.o : Halignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Halignmm.c 

Ralignmm.o : Ralignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Ralignmm.c 

Qalignmm.o : Qalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Qalignmm.c 

MSalignmm.o : MSalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c MSalignmm.c 

partSalignmm.o : partSalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c partSalignmm.c  

partQalignmm.o : partQalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c partQalignmm.c  

Salign11.o : Salign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Salign11.c -o Salign11.o

Lalign11.o : Lalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Lalign11.c 

genalign11.o : genalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c genalign11.c 

suboptalign11.o : suboptalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c suboptalign11.c 

VAAalign11.o : VAAalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c VAAalign11.c 

Galign11.o : Galign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Galign11.c 

MSalign11.o : MSalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c MSalign11.c 

SAalignmm.o : SAalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c SAalignmm.c -o SAalignmm.o

ord.o : ord.c $(HEADER)
	$(CC) $(CFLAG) -c ord.c

1itr.o : 1itr.c $(HEADER)
	$(CC) $(CFLAG) -c 1itr.c

tb.o : tb.c $(HEADER)
	$(CC) $(CFLAG) -c tb.c

disttbfast.o : disttbfast.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c disttbfast.c

splitfromaln.o : splitfromaln.c $(HEADER) $(FFTHEADER) 
	$(CC) $(CFLAG) -c splitfromaln.c

splittbfast.o : splittbfast.c $(HEADER) $(FFTHEADER) 
	$(CC) $(CFLAG) -c splittbfast.c

splittbfast2.o : splittbfast2.c $(HEADER) $(FFTHEADER) 
	$(CC) $(CFLAG) -c splittbfast2.c

disttbfast_dummy.o : disttbfast_dummy.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c disttbfast_dummy.c

dummy.o : dummy.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c dummy.c

tbfast.o : tbfast.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c tbfast.c

tbfast2.o : tbfast2.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c tbfast2.c

setcore.o : setcore.c $(HEADER) $(FFTHEADER)
