## mafft 6.815

=== core/Makefile ===
--- 
+++ 
@@ -5,17 +5,25 @@
 
 #MNO_CYGWIN = -mno-cygwin
 
+#ENABLE_MULTITHREAD = -Denablemultithread
+#Uncomment this to enable multithreading (linux only)
+
 CC = gcc
 
-#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
-CFLAGS = -O3 $(MNO_CYGWIN)
+#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3 $(ENABLE_MULTITHREAD)
+CFLAGS = -O3 $(MNO_CYGWIN) $(ENABLE_MULTITHREAD)
 #CFLAGS =  -mno-cygwin -O3 # for cygwin
 #CFLAGS =  -fast -static      # for icc on Intel
 #CFLAGS =  -O3 -ipo -static   # for icc on AMD
 #CFLAGS =  -fast
 #CFLAGS =  -g -O0 -pg 
 #CFLAGS =   -ansi -pedantic
-LIBS = -lm 
+
+ifeq ($(ENABLE_MULTITHREAD),-Denablemultithread)
+LIBS = -lm  -lpthread
+else
+LIBS = -lm
+endif
 
 INSTALL = install
 
@@ -38,45 +46,45 @@
 			 rna.o rnatest.o defs.o fft.o fftFunctions.o
 OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
-			 Calignm1.o pairash.o defs.o fft.o fftFunctions.o
+			 pairash.o defs.o fft.o fftFunctions.o
 OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
-					Calignm1.o pairlocalalign.o defs.o fft.o fftFunctions.o
+					pairlocalalign.o defs.o fft.o fftFunctions.o
 OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
 OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o defs.o fft.o fftFunctions.o
 OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast.o defs.o fft.o fftFunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o  \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o
 OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
 OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			setcore.o defs.o fft.o fftFunctions.o
 OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		   Calignm1.o Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
+		   Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
 		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
 OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-			Calignm1.o Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
+			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
 			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
 OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			getlag.o defs.o fft.o fftFunctions.o
 OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
 OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
@@ -93,11 +101,10 @@
 OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
 OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
 OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-          Calignm1.o SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
+          SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
 OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o
 
 HEADER = mltaln.h mtxutl.h
-DPHEADER = dp.h
 FFTHEADER = fft.h
 
 MANPAGES = mafft.1 mafft-homologs.1
@@ -271,34 +278,37 @@
 defs.o : defs.c 
 	$(CC) $(CFLAGS) -c defs.c
 
-Calignm1.o : Calignm1.c $(HEADER) $(DPHEADER)
-	$(CC) $(CFLAGS) -c Calignm1.c
-
-#A+++alignmm.o : SA+++alignmm.c $(HEADER) $(DPHEADER)
+#A+++alignmm.o : SA+++alignmm.c $(HEADER)
 #	$(CC) $(CFLAGS) -c SA+++alignmm.c -o A+++alignmm.o
 
-Salignmm.o : Salignmm.c $(HEADER) $(DPHEADER)
+Salignmm.o : Salignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Salignmm.c 
 
-Halignmm.o : Halignmm.c $(HEADER) $(DPHEADER)
+Halignmm.o : Halignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Halignmm.c 
 
-Ralignmm.o : Ralignmm.c $(HEADER) $(DPHEADER)
+Ralignmm.o : Ralignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Ralignmm.c 
 
-Qalignmm.o : Qalignmm.c $(HEADER) $(DPHEADER)
+Qalignmm.o : Qalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Qalignmm.c 
 
-MSalignmm.o : MSalignmm.c $(HEADER) $(DPHEADER)
+MSalignmm.o : MSalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c MSalignmm.c 
 
-partSalignmm.o : partSalignmm.c $(HEADER) $(DPHEADER)
+partSalignmm.o : partSalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c partSalignmm.c  
 
-partQalignmm.o : partQalignmm.c $(HEADER) $(DPHEADER)
+partQalignmm.o : partQalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c partQalignmm.c  
 
-Lalign11.o : Lalign11.c $(HEADER) $(DPHEADER)
+Lalign11.o : Lalign11.c $(HEADER)
 	$(CC) $(CFLAGS) -c Lalign11.c 
 
-genalign11.o : genalign11.c $(HEADER) $(DPHEADER)
+genalign11.o : genalign11.c $(HEADER)
+	$(CC) $(CFLAGS) -c genalign11.c 
+
+genGalign11.o : genGalign11.c $(HEADER)
+	$(CC) $(CFLAGS) -c genGalign11.c 
+
+suboptalign11.o : suboptalign11.c $(HEADER)
