=== debian/changelog ===
mafft (6.815-1) unstable; urgency=low

  * New upstream version
  * Switch to source format 3.0 (quilt)
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Aug 2010 10:29:50 +0200

mafft (6.811-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jun 2010 13:08:06 +0200

mafft (6.717-1) unstable; urgency=low

  * New upstream version
  * Added a few informations about Upstream in debian/upstream-metadata.yaml.
  * Documented how this package is tested in debian/README.Debian.
  * Refreshed debian/copyright, using the verbatim upstream license,
    indented with a tabulation.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 Dec 2009 13:02:59 +0900

mafft (6.716-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2009 12:39:12 +0100

mafft (6.713-1) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    - removed myself from Uploaders

  [ Andreas Tille ]
  * New upstream version
  * debian/control:
    - Standards-Version: 3.8.3 (no changes needed)
    - s/Debian-Med/Debian Med/
    - Recommends: blast2, lynx, ruby (instead of Suggests - we have a Ruby
      script in /usr/bin using blast and lynx.
  * debhelper 7
  * No need for debian/patches/Securisation-by-mktemp-usage.patch any more
  * debian/watch: Handle -with.*-extensions naming - we are dealing
    with the without-extensions tarball in Debian

 -- Andreas Tille <tille@debian.org>  Mon, 28 Sep 2009 09:02:30 +0200

mafft (6.240-2) unstable; urgency=high

  [ Charles Plessy ]
  * debian/control:
    - Moved the Homepage: field out from the package's description.
    - Enhances: t-coffee.
  * Updated my email address.
  * Securisation of the temorary files of mafft-homologs:
    - debian/control: build-depend on quilt.
    - debian/rules: modified to use quilt.
    - debian/README.source: signals that the package uses quilt.
    - debian/patches: added a patch to use non-guessable temporary files
      (Closes: #496366). Thanks to Dmitry E. Oboukhov for finding the bug, Thijs
      Kinkhorst for preliminary, Kazutaka Katoh for the final implementation,
      and Michael Schutte for the final review.
    - debian/mafft-homologs.1*, debian/README.Debian: document that the
      program is patched.

  [ David Paleino ]
  * debian/mafft.1, debian/mafft-homologs.1 added - manpages built statically.
  * debian/control:
    - B-D updated (see above)
    - added myself to Uploaders
    - moved XS-Vcs-* fields to Vcs-*
    - Updated to Standards-Version 3.7.3 (no changes needed)
  * debian/rules:
    - reflecting static build of manpages
    - minor changes

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Aug 2008 23:30:20 +0900

mafft (6.240-1) unstable; urgency=low

  * Initial release (Closes: #409640)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat,  9 Jun 2007 12:06:43 +0900
