=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: patch build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C core PREFIX=/usr/lib/mafft
	touch $@

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

test: build-stamp
	-$(MAFFT) 				test/sample | diff test/sample.fftns2 -
	-$(MAFFT) --maxiterate 100 		test/sample | diff test/sample.fftnsi -
	-$(MAFFT) --globalpair 			test/sample | diff test/sample.gins1 -
	-$(MAFFT) --globalpair --maxiterate 100	test/sample | diff test/sample.ginsi -
	-$(MAFFT) --localpair			test/sample | diff test/sample.lins1 -
	-$(MAFFT) --localpair --maxiterate 100	test/sample | diff test/sample.linsi -

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean build-stamp

install: build-stamp test
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
