=== debian/watch ===
version=3
opts=uversionmangle=s/-with-extensions-src//,dversionmangle=s/([\d.]+)/$1-without-extensions/ \
 http://align.bmr.kyushu-u.ac.jp/mafft/software/source.html mafft-(.*)-src\.tgz
