## mafft 6.833

=== core/Makefile ===
--- 
+++ 
@@ -67,10 +67,10 @@
 			Lalign11.o defs.o fft.o fftFunctions.o
 OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
-			disttbfast.o defs.o fft.o fftFunctions.o
+			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
-			tbfast.o defs.o fft.o fftFunctions.o
+			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
@@ -311,4 +311,3 @@
 genGalign11.o : genGalign11.c $(HEADER)
 	$(CC) $(CFLAGS) -c genGalign11.c 
 
-suboptalign11.o : suboptalign11.c $(HEADER)
