=== debian/changelog ===
mafft (6.833-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 13:51:28 +0100
